# Class TextSelection.Char

java.lang.Object
com.codename1.ui.TextSelection.Char

Enclosing class:
  `TextSelection`

public class TextSelection.Char extends Object
Encapsulates a box around a single character/glyph in the UI, storing the component that it belongs to, the position of its corresponding character in the component's text, and the bounds of the box, relative to `#getSelectionRoot()`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Char(int pos, int x, int y, int w, int h)`
  Creates a new Char
  `Char(int pos, Rectangle bounds)`
  Creates a new Char

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPosition()`
  Gets the character position.
  `String`
  `toString()`
  Returns a string representation of the object.
  `TextSelection.Char`
  `translate(int tx, int ty)`
  Translates the Char box.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Char

    public Char(int pos, Rectangle bounds)

    Creates a new Char

    ###### Parameters

    - `pos`: The position of the character.

    - `bounds`: The bounds of the box, relative to `#getSelectionRoot()`

  - ### Char

    public Char(int pos, int x, int y, int w, int h)

    Creates a new Char

    ###### Parameters

    - `pos`: THe position of the character.

    - `x`: The x-coord of the box, relative to `#getSelectionRoot()`

    - `y`: The y-coord of the box, relative to `#getSelectionRoot()`

    - `w`: The width of the box.

    - `h`: The height of the box.

- ## Method Details

  - ### getPosition

    public int getPosition()

    Gets the character position. This can be used by the Component that contains the text to map it back to its model.

    ###### Returns

    The position of the character.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### translate

    public TextSelection.Char translate(int tx, int ty)

    Translates the Char box.

    ###### Parameters

    - `tx`: Translate x pixels.

    - `ty`: Translate y pixels

    ###### Returns

    A new Char translated.